%global commit ad4c78795a7f88d748eaace479202c7aa471f640
%global shortcommit %(c=%{commit}; echo ${c:0:12})

Name:           purple-rocketchat
Version:        0.0+hg%{shortcommit}
Release:        1%{?dist}
Summary:        RocketChat protocol plugin for libpurple
License:        GPLv2+
Group:          Productivity/Networking/Instant Messenger
URL:            https://bitbucket.org/EionRobb/purple-rocketchat
Source0:        https://bitbucket.org/EionRobb/purple-rocketchat/get/%{shortcommit}.zip
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  glib2-devel >= 2.28.0
BuildRequires:  json-glib-devel
BuildRequires:  libmarkdown-devel
BuildRequires:  libpurple-devel

%description
RocketChat protocol plugin for libpurple-based applications.

%package -n libpurple-plugin-rocketchat
Summary:        RocketChat protocol plugin for libpurple
Group:          Productivity/Networking/Instant Messenger
Enhances:       libpurple

%description -n libpurple-plugin-rocketchat
RocketChat protocol plugin for libpurple-based applications.

%package -n pidgin-plugin-rocketchat
Summary:        RocketChat protocol plugin for Pidgin
Group:          Productivity/Networking/Instant Messenger
Requires:       libpurple-plugin-rocketchat = %{version}
Requires:       pidgin
BuildArch:      noarch

%description -n pidgin-plugin-rocketchat
RocketChat protocol plugin for libpurple-based applications.

This package provides the icon set for Pidgin.

%prep
%autosetup -n EionRobb-purple-rocketchat-%{shortcommit}

%build
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%files -n libpurple-plugin-rocketchat
%license LICENSE
%doc README.md
%{_libdir}/purple-2/librocketchat.so

%files -n pidgin-plugin-rocketchat
%dir %{_datadir}/pixmaps/pidgin/
%dir %{_datadir}/pixmaps/pidgin/protocols/
%dir %{_datadir}/pixmaps/pidgin/protocols/*/
%{_datadir}/pixmaps/pidgin/protocols/*/rocketchat.*

%changelog
* Fri Nov 16 2018 josef radinger <cheese@nosuchhost.net> - 0.0+hgad4c78795a7f-1
- Buildrequires: libmarkdown-devel
- Buildrequires onto *-devel-packages
- initial version, taken from suse-buildsystem


